/* -*- mode: C; c-file-style: "gnu" -*- */
/* dbus-errors.h Error reporting
 *
 * Copyright (C) 2002  Red Hat Inc.
 * Copyright (C) 2003  CodeFactory AB
 *
 * Licensed under the Academic Free License version 2.1
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
module org.freedesktop.dbus.c.Errors;

import org.freedesktop.dbus.c.Types;

extern(C):
/**
 * @addtogroup DBusErrors
 * @{
 */

/**
 * Object representing an exception.
 */
struct DBusError {
  char *name;    /**< public error name field */
  char *message; /**< public error message field */

  uint dummy_bits; /**< placeholder */
  void *padding1; /**< placeholder */
}

void        dbus_error_init      (DBusError       *error);
void        dbus_error_free      (DBusError       *error);
void        dbus_set_error       (DBusError       *error,
                                  char      *name,
                                  char      *message,
                                  ...);
void        dbus_set_error_const (DBusError       *error,
                                  char      *name,
                                  char      *message);
void        dbus_move_error      (DBusError       *src,
                                  DBusError       *dest);
dbus_bool_t dbus_error_has_name  (DBusError *error,
                                  char      *name);
dbus_bool_t dbus_error_is_set    (DBusError *error);

/** @} */

